// @ts-ignore
/* eslint-disable */
import {request} from 'umi';


export async function contactList(params: API.ContactListParams) {
  return request<API.Response<API.Page<API.Contact>>>('/api/v1/contact/list', {
    method: 'POST',
    data: params,
  });
}

export async function addContact(params: API.AddContactParam) {
  return request<API.Response<any>>('/api/v1/contact/add', {
    method: 'POST',
    data: params
  });
}

export async function updateContact(params: API.UpdateContactParam) {
  return request<API.Response<any>>('/api/v1/contact/update', {
    method: 'POST',
    data: params
  });
}





